| Home | Libraries | People | FAQ | More

### ssl::stream_service

Default service implementation for an SSL stream.

    class stream_service :
      public io_service::service

##### Types

Name | Description
--- | ---
impl_type | The type of a stream implementation.

##### Member Functions

Name | Description
--- | ---
async_handshake | Start an asynchronous SSL handshake.
async_read_some | Start an asynchronous read.
async_shutdown | Asynchronously shut down SSL on the stream.
async_write_some | Start an asynchronous write.
create | Create a new stream implementation.
destroy | Destroy a stream implementation.
get_io_service | Get the io_service object that owns the service.
handshake | Perform SSL handshaking.
in_avail | Determine the amount of data that may be read without blocking.
io_service | (Deprecated: use get_io_service().) Get the io_service object that owns the service.
null | Return a null stream implementation.
peek | Peek at the incoming data on the stream.
read_some | Read some data from the stream.
shutdown | Shut down SSL on the stream.
shutdown_service | Destroy all user-defined handler objects owned by the service.
stream_service | Construct a new stream service for the specified io_service.
write_some | Write some data to the stream.

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.

##### Requirements

Header: `boost/asio/ssl/stream_service.hpp`

Convenience header: `boost/asio/ssl.hpp`